← Clasamente

Scotland

National League Division 2

#EchipăPWDLPDBPPtsFormă
1Highland RFC7700+254735WWWWW
2Newton Stewart RFC7502+126727WWWWW
3Falkirk RFC7502+59727WWWWL
4Peebles RFC7502+38323LWWWL
5Gordonian RFC74030420WLLLW
6Stewart's Melville RFC7304+25618LLLWW
7Kirkcaldy RFC7304-159315WLLLW
8Dundee Rugby7106-81610LWLLL
9Howe of Fife RFC7106-122610LLWLL
10Preston Lodge RFC7106-14048LLLLL

Sursă: Scottish Rugby · verificat 17 oct., 23:20 · Formă: ultimele cinci rezultate pe care le avem, cel mai recent în dreapta.

Meciuri și rezultate →

Fiecare clasament este cel publicat de liga respectivă, cu bonusuri, penalizări și criterii de departajare. BP apare unde liga îl publică; în rest este deja inclus în Pts.